package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;

/**
 *
 * @author fpalma
 */
public class V9_3_To_V9_4 extends AbstractUpdate
{
	
	public V9_3_To_V9_4()
	{
		super(9.3,9.4,"Adicionados postos de trabalho relatorio");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"create table hs_relatorio_medida_area" +
					"(" +
					"	id serial PRIMARY KEY," +
					"	description varchar(256) NOT NULL" +
					");" +
					"create table hs_relatorio_medida_posto" +
					"(" +
					"	id serial PRIMARY KEY," +
					"	description varchar(256) NOT NULL," +
					"	area_id int4 REFERENCES hs_relatorio_medida_area(id)" +
					");"
		);
		getExecuter().executeQuery( update );
	}
	
}
